Subject: Re: [RFC] introducing the Atheros L2 Fast Ethernet driver

From: Jeff Garzik <[email-masked]>
Date: Tue, 04 Dec 2007 17:47:06 -0500

Chris Snook wrote:
> Hey folks --
> 
>     I've begun cleaning up the atl2 vendor driver for merging.  It's 
> very similar to the atl1 driver, and needs a lot of the same work, 
> though I have already fixed the 64-bit DMA data corrupter that atl1 
> users remember so fondly.  Right now this is very raw, and there is a 
> large amount of cosmetic work to do to make it more maintainable, but it 
> should generally work, at least as well as the vendor driver does.
> 
>     While this is in pre-submission cleanup mode, the latest standalone 
> source tarball and patch (currently against 2.6.23) will be available here:
> 
> http://people.redhat.com/csnook/atl2/
> 
>     If you have atl2 hardware, please give this a spin.  I plan to 
> submit the driver for merging some time in the next month or so.  
> Questions, comments, patches welcome.

Why not update atl1 for this new hardware?  Why is a new driver needed?

	Jeff